Page MenuHomePhabricator

Duplicate anchors and missing form id tag in search form on Cologne Blue skin
Closed, ResolvedPublic

Description

Author: zigger

Description:
The Cologne Blue skin sets the search form tag to have the attribute id="search"
and the input tag to also have the attribute name="search", since at least v1.3.

Monobook corrects this by giving the form an 'id' (and 'name') of "searchform",
ensuring that the relevant tags have unique anchors. (However the 'name'
attribute is deprecated for 'form' tags in XHTML 1.0.)

References:

XHTML 1.0 : http://www.w3.org/TR/xhtml1/#h-4.10

http://www.w3.org/TR/xhtml1/#C_8

HTML 4.01 : http://www.w3.org/TR/html4/struct/links.html#h-12.2.1

http://www.w3.org/TR/html4/struct/links.html#h-12.2.3

XML 1.0 : http://www.w3.org/TR/REC-xml/#sec-attribute-types


Version: unspecified
Severity: normal

Details

Reference
bz2571

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 8:35 PM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz2571.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 28 2005, 2:30 PM

zigger wrote:

And the main duplication is that Cologne Blue outputs the same search form 'id'
attribute values in both the quick bar and the footer.

hashar added a comment.Jan 8 2006, 6:18 PM

Corrected the searchForm() function, the form and input now have their
own id. I also added a counter to give incremental id if several search
boxes are added.

Fixed in HEAD and 1.5, will be in 1.5.6

brion added a comment.Jan 9 2006, 5:13 AM

Bogus fix destroyed search functionality in Cologne Blue skin, was obviously not tested.
Reverted.

brion added a comment.Apr 24 2008, 1:46 AM

This was fixed correctly some time ago.